Bug 433778 - Review Request: fsvs - full system versioning using subversion repositories
Review Request: fsvs - full system versioning using subversion repositories
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 08:13 EST by David Fraser
Modified: 2008-07-31 10:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 06:57:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
modified spec with a couple of fixes (2.66 KB, text/plain)
2008-03-24 05:04 EDT, manuel wolfshant
no flags Details
modified spec (3.66 KB, text/x-rpm-spec)
2008-03-25 08:19 EDT, manuel wolfshant
no flags Details
man pages are gzipped automatically; cd .. in %build is useless (951 bytes, patch)
2008-03-26 09:50 EDT, manuel wolfshant
no flags Details | Diff

  None (edit)
Description David Fraser 2008-02-21 08:13:15 EST
Spec URL: http://davidf.sjsoft.com/fedora/fsvs.spec
SRPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.12-3.fc8.src.rpm
Project home URL: http://fsvs.tigris.org/
Description:
FSVS is the abbreviation for “Fast System VerSioning”.

It is a complete backup/restore/versioning tool for all files in a directory tree or whole filesystems, with a subversionTM repository as the backend.
You may think of it as some kind of tar or rsync with versioned storage.

If uses a different system for storing local version information that doesn't clutter directories like /etc like .svn directories in standard subversion would

A nice capability is to cope with local adjustments for different machines (using branching-like techniques), so that most of the space needed for the backup of system-files (/bin, /usr, ...) can be shared between machines.
Comment 1 David Fraser 2008-02-21 08:19:36 EST
Forgot to mention that this is my first package submission and I'm seeking a
sponsor :-)
Comment 2 Richard Fearn 2008-03-06 13:34:51 EST
Hi,

I'm just changing this from *depending* on FE-NEEDSPONSOR to *blocking*
FE-NEEDSPONSOR. I'm fairly sure that's what you meant.
Comment 3 josh.kayse 2008-03-13 15:03:27 EDT
I'll do a pre-review:

Package Review Requirements:
MUST:
- rpmlint fsvs-1.1.12-3.fc8.src.rpm output:
 W: fsvs summary-ended-with-dot Fast System VerSioning - A complete
backup/restore/versioning tool for file trees, with a subversion repository as
the backend.
 E: fsvs summary-too-long Fast System VerSioning - A complete
backup/restore/versioning tool for file trees, with a subversion repository as
the backend.
 E: fsvs description-line-too-long It is a complete backup/restore/versioning
tool for all files in a directory tree or whole filesystems, with a subversionTM
repository as the backend.
 E: fsvs description-line-too-long If uses a different system for storing local
version information that doesn't clutter directories like /etc like .svn
directories in standard subversion would
 E: fsvs description-line-too-long A nice capability is to cope with local
adjustments for different machines (using branching-like techniques), so that
most of the space needed for the backup of system-files (/bin, /usr, ...) can be
shared between machines.
 W: fsvs invalid-license GNU GPL
 E: fsvs non-utf8-spec-file fsvs.spec

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
- package should satisfy packaging guidelines
  You need to make sure all lines are less than 80 characters long in the
description
  You should also shorten your summary and remove the period

+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  md5: b1bf7a77c2c9466277bb38e0e81c2d27
? package successfully builds on at least one architecture
+ ExcludeArch bugs filed
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun
- does not use Prefix: /usr
   Why do you redefine man_dir and doc_dir and manually place files there?

+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
- consistent use of macros
  Why do you redefine doc_dir and man_dir?

+ package must contain code or permissible content
+ large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
+ header files should be in -devel
+ static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ packages should not contain libtool .la files
+ packages containing GUI apps must include %{name}.desktop file

Could you explain your choices for renaming/changing the directories?
Comment 4 David Fraser 2008-03-24 01:17:11 EDT
(In reply to comment #3)
> I'll do a pre-review:
Thanks :-)
 
> Package Review Requirements:
> MUST:
> - rpmlint fsvs-1.1.12-3.fc8.src.rpm output:
>  W: fsvs summary-ended-with-dot Fast System VerSioning - A complete
> backup/restore/versioning tool for file trees, with a subversion repository as
> the backend.
>  E: fsvs summary-too-long Fast System VerSioning - A complete
> backup/restore/versioning tool for file trees, with a subversion repository as
> the backend.
>  E: fsvs description-line-too-long It is a complete backup/restore/versioning
> tool for all files in a directory tree or whole filesystems, with a subversionTM
> repository as the backend.
>  E: fsvs description-line-too-long If uses a different system for storing local
> version information that doesn't clutter directories like /etc like .svn
> directories in standard subversion would
>  E: fsvs description-line-too-long A nice capability is to cope with local
> adjustments for different machines (using branching-like techniques), so that
> most of the space needed for the backup of system-files (/bin, /usr, ...) can be
> shared between machines.
>  W: fsvs invalid-license GNU GPL
All fixed

>  E: fsvs non-utf8-spec-file fsvs.spec
I didn't get this on my version of rpmlint (rpmlint-0.82-2.fc8), file fsvs.spec
returns "UTF-8 Unicode English text", and I can't see any invalid characters...

> - package should satisfy packaging guidelines
>   You need to make sure all lines are less than 80 characters long in the
> description
>   You should also shorten your summary and remove the period
Fixed as above

> ? package successfully builds on at least one architecture
Builds on i386, but will obviously wait for next review

> - does not use Prefix: /usr
>    Why do you redefine man_dir and doc_dir and manually place files there?
> 
> - consistent use of macros
>   Why do you redefine doc_dir and man_dir?
>  
> Could you explain your choices for renaming/changing the directories?
My fault - didn't realize doc_dir and man_dir were already defined. Fixed.

New files at:
Spec URL: http://davidf.sjsoft.com/fedora/fsvs.spec
SRPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.12-5.fc8.src.rpm
i386 RPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.12-5.fc8.i386.rpm

Thanks again
Comment 5 manuel wolfshant 2008-03-24 05:03:09 EDT
please find attached a modified spec which fixes a couple of errors (missing BR,
inconsistent usage of macros, unneeded Requires)

any particular reason to not package the latest release (1.1.13) ?
Comment 6 manuel wolfshant 2008-03-24 05:04:25 EDT
Created attachment 298879 [details]
modified spec with a couple of fixes
Comment 7 David Fraser 2008-03-25 05:48:59 EDT
(In reply to comment #5)
> please find attached a modified spec which fixes a couple of errors (missing BR,
> inconsistent usage of macros, unneeded Requires)
> 
> any particular reason to not package the latest release (1.1.13) ?

Thanks, I've included the changes excepted for "unneeded Requires". They are all
required as demonstrated below (note that subversion requires apr-util and apr,
and apr-util requires apr - not sure of whether this means we don't need the
apr-util and apr dependencies, but they are definitely required for operation).

I've also fixed up the doc_dir and man_dir definitions to rely on _docdir and
_mandir properly.

New versions at:
Spec URL: http://davidf.sjsoft.com/fedora/fsvs.spec
SRPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.12-7.fc8.src.rpm
i386 RPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.12-7.fc8.i386.rpm

I'll update to 1.1.13 next and attribute the oversight to tigris's awful
download navigation system :-)

[root@localhost ~]# rpm -Uvh
/home/davidf/rpmbuild/RPMS/i386/fsvs-1.1.12-7.fc8.i386.rpm
Preparing...                ########################################### [100%]
   1:fsvs                   ########################################### [100%]
[root@localhost ~]# rpm -ev --nodeps apr apr-util pcre subversion
[root@localhost ~]# fsvs status
fsvs: error while loading shared libraries: libsvn_subr-1.so.0: cannot open
shared object file: No such file or directory
[root@localhost ~]# rpm -ivh subversion-1.4.4-7.i386.rpm
error: Failed dependencies:
        libapr-1.so.0 is needed by subversion-1.4.4-7.i386
        libaprutil-1.so.0 is needed by subversion-1.4.4-7.i386
[root@localhost ~]# rpm -ivh --nodeps subversion-1.4.4-7.i386.rpm
Preparing...                ########################################### [100%]
   1:subversion             ########################################### [100%]
[root@localhost ~]# fsvs status
fsvs: error while loading shared libraries: libpcre.so.0: cannot open shared
object file: No such file or directory
[root@localhost ~]# rpm -ivh pcre-7.3-3.fc8.i386.rpm
Preparing...                ########################################### [100%]
   1:pcre                   ########################################### [100%]
[root@localhost ~]# fsvs status
fsvs: error while loading shared libraries: libaprutil-1.so.0: cannot open
shared object file: No such file or directory
[root@localhost ~]# rpm -ivh apr-util-1.2.10-2.fc8.i386.rpm
error: Failed dependencies:
        libapr-1.so.0 is needed by apr-util-1.2.10-2.fc8.i386
[root@localhost ~]# rpm -ivh --nodeps apr-util-1.2.10-2.fc8.i386.rpm
Preparing...                ########################################### [100%]
   1:apr-util               ########################################### [100%]
[root@localhost ~]# fsvs status
fsvs: error while loading shared libraries: libapr-1.so.0: cannot open shared
object file: No such file or directory
[root@localhost ~]# rpm -ivh apr-1.2.11-2.i386.rpm
Preparing...                ########################################### [100%]
   1:apr                    ########################################### [100%]
[root@localhost ~]# fsvs status
# success
Comment 8 David Fraser 2008-03-25 06:01:35 EDT
Updated to fsvs 1.1.13 (the latest release)

New versions at:
Spec URL: http://davidf.sjsoft.com/fedora/fsvs.spec
SRPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.13-1.fc8.src.rpm
i386 RPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.13-1.fc8.i386.rpm

Changes are basically a new man page, and an example directory under docs.

Should I be attaching the spec files to this page or just uploading them as the
package review request guidelines seem to say? I have the spec file in a
currently private svn repository, but putting it in a non-versioned URL means
changes can't be tracked easily.
Comment 9 manuel wolfshant 2008-03-25 06:17:17 EDT
Direct links to the src.rpm and spec (as opposed to atatch which needs
additional clicks to be seen) are easier to see / manipulate. At least for me.
Comment 10 manuel wolfshant 2008-03-25 08:17:44 EDT
Take this with a grain of salt, I did not do a thorough check:
- I suggest replacing all "/usr/bin" references with "%{_bindir} (see "mkdir -p
$RPM_BUILD_ROOT/usr/bin" and "cp -p src/fsvs $RPM_BUILD_ROOT/usr/bin")
- use %{_sysconfdir} and %{_var} in "%define conf_dir /etc/fsvs/" and "%define
waa_dir /var/spool/fsvs"
- /usr/share/doc/fsvs-1.1.13/ is included but not owned
- rpmlint has complains about the binary rpm:
fsvs.x86_64: W: spurious-executable-perm
/usr/share/doc/fsvs-1.1.13/example/var/lib/fsvs-versioning/scripts/shadow-clean.pl
fsvs.x86_64: W: spurious-executable-perm
/usr/share/doc/fsvs-1.1.13/example/var/lib/fsvs-versioning/scripts/remove-password-line.pl
fsvs.x86_64: W: spurious-executable-perm /usr/share/doc/fsvs-1.1.13/example/setup.sh
fsvs.x86_64: E: non-standard-executable-perm /usr/bin/fsvs 0775
fsvs.x86_64: W: spurious-executable-perm
/usr/share/doc/fsvs-1.1.13/example/var/lib/fsvs-versioning/scripts/commit.sh
fsvs.x86_64: W: doc-file-dependency
/usr/share/doc/fsvs-1.1.13/example/var/lib/fsvs-versioning/scripts/remove-password-line.pl
/usr/bin/perl
fsvs.x86_64: W: doc-file-dependency
/usr/share/doc/fsvs-1.1.13/example/var/lib/fsvs-versioning/scripts/shadow-clean.pl
/usr/bin/perl
- the mandatory RPM_OPT_FLAGS flags seem to be ignored. Unfortunately the
standard "CFLAGS="$RPM_OPT_FLAGS" make" and "make CFLAGS="$RPM_OPT_FLAGS""
solutions did not work, so I think you should take a look at the source,
probably the Makefile needs patching.


As of the explicit Requires, your test is flawed because you use --nodeps. As
shown below, they are not needed for the simple reason that rpmbuild's dep
checker adds them :
[wolfy@wolfy tmp]$ rpm -qp --requires
/home/wolfy/reports/fsvs/fsvs-1.1.13-1.fc9.x86_64.rpm
/bin/sh
/usr/bin/perl
libapr-1.so.0()(64bit)
libaprutil-1.so.0()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libdl.so.2()(64bit)
libdl.so.2(GLIBC_2.2.5)(64bit)
libgdbm.so.2()(64bit)
libpcre.so.0()(64bit)
libsvn_delta-1.so.0()(64bit)
libsvn_ra-1.so.0()(64bit)
libsvn_subr-1.so.0()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
The package was built locally in mock, without including any of the "Requires" lines

I am attaching the modified spec which fixes most of the above mentioned issues.
The only rpmlint warning remaining is 
fsvs.x86_64: E: non-standard-executable-perm /usr/bin/fsvs 0775
which I think that must also be fixed, I see no reason for g+w
Comment 11 manuel wolfshant 2008-03-25 08:19:35 EDT
Created attachment 299011 [details]
modified spec

this spec still needs to be modified, probably a Makefile patch is needed
Comment 12 manuel wolfshant 2008-03-25 08:21:55 EDT
I've also added a BR: for ctags, I've noticed in the build log that %configure
looks for it.
Comment 13 David Fraser 2008-03-25 09:41:52 EDT
(In reply to comment #10)
> Take this with a grain of salt, I did not do a thorough check:
> - I suggest replacing all "/usr/bin" references with "%{_bindir} (see "mkdir -p
> $RPM_BUILD_ROOT/usr/bin" and "cp -p src/fsvs $RPM_BUILD_ROOT/usr/bin")
> - use %{_sysconfdir} and %{_var} in "%define conf_dir /etc/fsvs/" and "%define
> waa_dir /var/spool/fsvs"
> - /usr/share/doc/fsvs-1.1.13/ is included but not owned
Good points, all oversights on my part - thanks for the fixes

> - rpmlint has complains about the binary rpm:
> fsvs.x86_64: W: spurious-executable-perm
> /usr/share/doc/fsvs-1.1.13/example/var/lib/fsvs-versioning/scripts/shadow-clean.pl
> fsvs.x86_64: W: spurious-executable-perm
>
/usr/share/doc/fsvs-1.1.13/example/var/lib/fsvs-versioning/scripts/remove-password-line.pl
> fsvs.x86_64: W: spurious-executable-perm
/usr/share/doc/fsvs-1.1.13/example/setup.sh
> fsvs.x86_64: E: non-standard-executable-perm /usr/bin/fsvs 0775
> fsvs.x86_64: W: spurious-executable-perm
> /usr/share/doc/fsvs-1.1.13/example/var/lib/fsvs-versioning/scripts/commit.sh
> fsvs.x86_64: W: doc-file-dependency
>
/usr/share/doc/fsvs-1.1.13/example/var/lib/fsvs-versioning/scripts/remove-password-line.pl
> /usr/bin/perl
> fsvs.x86_64: W: doc-file-dependency
> /usr/share/doc/fsvs-1.1.13/example/var/lib/fsvs-versioning/scripts/shadow-clean.pl
> /usr/bin/perl

I've removed the example directory as it's not critical to use, is designed for
Debian, and only makes sense with the scripts executable.

> - the mandatory RPM_OPT_FLAGS flags seem to be ignored. Unfortunately the
> standard "CFLAGS="$RPM_OPT_FLAGS" make" and "make CFLAGS="$RPM_OPT_FLAGS""
> solutions did not work, so I think you should take a look at the source,
> probably the Makefile needs patching.

Exporting CFLAGS before the configure seems to pull it in at the configure
stage, so I've done that

> As of the explicit Requires, your test is flawed because you use --nodeps. As
> shown below, they are not needed for the simple reason that rpmbuild's dep
> checker adds them :
> [wolfy@wolfy tmp]$ rpm -qp --requires
> /home/wolfy/reports/fsvs/fsvs-1.1.13-1.fc9.x86_64.rpm
> /bin/sh
> /usr/bin/perl
> libapr-1.so.0()(64bit)
> libaprutil-1.so.0()(64bit)
> libc.so.6()(64bit)
> libc.so.6(GLIBC_2.2.5)(64bit)
> libc.so.6(GLIBC_2.3)(64bit)
> libc.so.6(GLIBC_2.3.4)(64bit)
> libc.so.6(GLIBC_2.4)(64bit)
> libdl.so.2()(64bit)
> libdl.so.2(GLIBC_2.2.5)(64bit)
> libgdbm.so.2()(64bit)
> libpcre.so.0()(64bit)
> libsvn_delta-1.so.0()(64bit)
> libsvn_ra-1.so.0()(64bit)
> libsvn_subr-1.so.0()(64bit)
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> rtld(GNU_HASH)
> The package was built locally in mock, without including any of the "Requires"
lines

Silly me, I should have tested that

> I am attaching the modified spec which fixes most of the above mentioned issues.
> The only rpmlint warning remaining is 
> fsvs.x86_64: E: non-standard-executable-perm /usr/bin/fsvs 0775
> which I think that must also be fixed, I see no reason for g+w
> 

Adjusted as well, new version coming...
Comment 14 David Fraser 2008-03-25 09:44:16 EDT
New versions:
Spec URL: http://davidf.sjsoft.com/fedora/fsvs.spec
SRPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.13-3.fc8.src.rpm
i386 RPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.13-3.fc8.i386.rpm

These now all pass rpmlint without any errors, and all issues I'm aware of have
been addressed...
Comment 15 manuel wolfshant 2008-03-26 07:41:35 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) )
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv3
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package:6b33d39da1108b4f3269195ee7e8bf2f481a5a21 
/tmp/fsvs-1.1.13.tar.bz2
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
[-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.                    
                                                    [x] Package does not contain
any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: not tested
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


================
*** APPROVED *** but pending sponsorship
================
                                             


David, do you have anything else submitted or other bugs that you have reviewed ?
Comment 16 manuel wolfshant 2008-03-26 07:48:40 EDT
I have one cosmetic suggestion for this package: if you do not mind, please move
the three "%defines" from %install to the top of the package. Makes life easier
for people examining the spec, most people do not expect to find "%defines" in
the middle of the spec.
Not to mention that you could ditch them completely, all files from "%doc_dir"
(and the directory itself) could be included with a single %doc directive and
the other two defines are used only twice each.
Comment 17 David Fraser 2008-03-26 09:03:04 EDT
(In reply to comment #15)
> ================
> *** APPROVED *** but pending sponsorship
> ================
Yay, thanks!

> David, do you have anything else submitted or other bugs that you have reviewed ?
I have submitted a package for Mozilla Lightning (#237137) but that's stalled on
waiting for a new extension in the filesystem system for Mozilla in general. I
have a bunch of other pending submissions but was waiting on being Sponsored...

I haven't reviewed other packages yet. I've just Cc-ed myself on a number of
interesting packages to start doing some - if anyone has recommendations I'll
look at those.

Anything else I need to do for sponsorship?
Comment 18 David Fraser 2008-03-26 09:14:22 EDT
(In reply to comment #16)
> I have one cosmetic suggestion for this package: if you do not mind, please move
> the three "%defines" from %install to the top of the package. Makes life easier
> for people examining the spec, most people do not expect to find "%defines" in
> the middle of the spec.
Done

> Not to mention that you could ditch them completely, all files from "%doc_dir"
> (and the directory itself) could be included with a single %doc directive and
> the other two defines are used only twice each.
Oh OK, Done that instead :-)

Spec URL: http://davidf.sjsoft.com/fedora/fsvs.spec
SRPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.13-4.fc8.src.rpm
i386 RPM URL: http://davidf.sjsoft.com/fedora/fsvs-1.1.13-4.fc8.i386.rpm
Comment 19 manuel wolfshant 2008-03-26 09:50:56 EDT
Created attachment 299148 [details]
man pages are gzipped automatically; cd .. in %build is useless

small spec cleanup
Comment 20 manuel wolfshant 2008-03-26 09:57:59 EDT
> Anything else I need to do for sponsorship?
Please follow http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored .
For instance a couple of reviews of existing submissions would be nice.
Comment 21 David Fraser 2008-03-26 10:41:16 EDT
(In reply to comment #19)
> Created an attachment (id=299148) [edit]
> man pages are gzipped automatically; cd .. in %build is useless
> 
> small spec cleanup

Included as-is, but I won't regenerate the downloads for now as they're minor
changes...

(In reply to comment #20)
> > Anything else I need to do for sponsorship?
> Please follow http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored .
> For instance a couple of reviews of existing submissions would be nice.

Started with review of bug 429882, python-Levenshtein - will post more as I do them.
Comment 22 manuel wolfshant 2008-03-26 10:52:49 EDT
>Included as-is, but I won't regenerate the downloads for now as they're minor
changes...

Very well, as long as you upload to CVS the corrected version

>Started with review of bug 429882, python-Levenshtein - will post more as I do
them.
I know, I am watching :)
One more please and I'll sponsor you.
Comment 23 David Fraser 2008-03-26 19:04:58 EDT
Done bug 427706 - another Python package, hope that's OK
Comment 24 manuel wolfshant 2008-03-27 08:55:18 EDT
Fair enough, I'll sponsor you. Please apply for cvsextras group membership as
described under
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-a601c13b0950a89568deafa65f505b4b58ee869b
and let me know your FAS username.
Comment 25 David Fraser 2008-03-27 10:20:56 EDT
(In reply to comment #24)
> Fair enough, I'll sponsor you. Please apply for cvsextras group membership as
> described under
>
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-a601c13b0950a89568deafa65f505b4b58ee869b
> and let me know your FAS username.

Thanks! Done - my FAS username is davidf
Comment 26 manuel wolfshant 2008-04-04 18:39:07 EDT
David, you can ask for CVS branch...
Comment 27 David Fraser 2008-04-07 11:23:05 EDT
New Package CVS Request
=======================
Package Name: fsvs
Short Description: Fast System VerSioning versioning for file trees using subversion
Owners: davidf
Branches: F-7 F-8
InitialCC: none
Cvsextras Commits: yes
Comment 28 Kevin Fenzi 2008-04-07 12:02:16 EDT
cvs done.
Comment 29 David Fraser 2008-04-10 06:57:23 EDT
Great, done and built on all three branches (F-7, F-8 and devel) - see
http://koji.fedoraproject.org/koji/packageinfo?packageID=6031

Upstream has now released a new version (1.1.14) and I have updated the spec
file; but for this I just built the latest 1.1.13 with changes from here - shall
I request a separate bug to review that?
Comment 30 manuel wolfshant 2008-04-10 07:12:56 EDT
No, you do not need to review the updates of the package. Just use the procedure
described at http://fedoraproject.org/wiki/PackageMaintainers/UpdatingPackageHowTo

Of course, if you are unsure or in need of assistance drop me an email ( in
private) and I will do my best to help you.
Comment 31 Owen Barton 2008-05-08 19:13:29 EDT
Here is an update to the latest 1.1.15 release:

http://lcogt.net/files/fsvs.spec
http://lcogt.net/files/fsvs-spec.patch (patch from 1.1.13-4 spec file)
http://lcogt.net/files/fsvs-1.1.15-1.src.rpm
http://lcogt.net/files/fsvs-1.1.15-1.x86_64.rpm (built for RHEL - it would be
great if you wanted to maintain a http://fedoraproject.org/wiki/EPEL build for
this - I would be happy to help!)

No idea if I am supposed to reopen this bug, or if this should be a new bug...
Comment 32 manuel wolfshant 2008-05-08 20:20:15 EDT
Owen, thank you for your assistance.
As a rule, there is no need to provide here the info about updated versions. Get
in touch with David, as he is the official maintainer of the package, and work
with him in order to update the version existing in Fedora's CVS

As of EPEL: If David is willing to maintain them, he should ask for the EPEL
branches. Otherwise, I guess I could do it. In any case, I'll be happy to help
you both (as co-mantainer).
Comment 33 David Fraser 2008-05-12 07:26:15 EDT
Package Change Request
======================
Package Name: fsvs
New Branches: F-9 EL-4 EL-5
Comment 34 Kevin Fenzi 2008-05-12 12:51:28 EDT
fsvs already has a F-9 branch, as all packages were mass branched for F-9 a
while ago. Make sure you are using 'cvs update -d' to get the new directory. 

cvs done.
Comment 35 Fedora Update System 2008-05-27 06:41:00 EDT
fsvs-1.1.15-2.fc7 has been submitted as an update for Fedora 7
Comment 36 Fedora Update System 2008-05-27 06:42:52 EDT
fsvs-1.1.15-2.fc8 has been submitted as an update for Fedora 8
Comment 37 Fedora Update System 2008-05-27 06:50:52 EDT
fsvs-1.1.15-2.fc9 has been submitted as an update for Fedora 9
Comment 38 David Fraser 2008-05-27 07:01:16 EDT
(In reply to comment #31)
> Here is an update to the latest 1.1.15 release:
> 
> http://lcogt.net/files/fsvs.spec
> http://lcogt.net/files/fsvs-spec.patch (patch from 1.1.13-4 spec file)
> http://lcogt.net/files/fsvs-1.1.15-1.src.rpm
> http://lcogt.net/files/fsvs-1.1.15-1.x86_64.rpm (built for RHEL - it would be
> great if you wanted to maintain a http://fedoraproject.org/wiki/EPEL build for
> this - I would be happy to help!)
> 
> No idea if I am supposed to reopen this bug, or if this should be a new bug...

I've added branches and tags for EPEL, but I can't currently submit builds for
it (I think I need to set up plague or something) - if you could do them that
would be great, please ask if you need necessary permissions etc
Comment 39 manuel wolfshant 2008-05-27 09:58:52 EDT
I've built it locally in centos 5, but for EL-4 there are a couple of changes
needed. So far I've only solved one: in configure (I mean the source, not only
the %configure from the spec(, all occurrences of apr-util-1  must be replaced
with apr-util-0. But I am stuck at detecting svn, ./configure bails out with:

checking for pcre_compile in -lpcre... yes
checking for apr_md5_init in -laprutil-0... yes
checking for svn_ra_initialize in -lsvn_ra-1... no
configure: error: Sorry, can't find subversion.

I'll build in EPEL after I fix the above (if I have the time to fix it, that is)
Comment 40 Fedora Update System 2008-05-28 22:33:36 EDT
fsvs-1.1.15-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 41 Fedora Update System 2008-05-28 22:42:37 EDT
fsvs-1.1.15-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 42 Fedora Update System 2008-05-28 22:48:45 EDT
fsvs-1.1.15-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 43 Fedora Update System 2008-07-26 02:06:01 EDT
fsvs-1.1.15-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.